Commit 424b39e4e1ae9c3f32b486026153144233aa5d7a
- Diff rendering mode:
- inline
- side by side
media-video/smplayer/ChangeLog
(10 / 0)
|   | |||
| 1 | # ChangeLog for media-video/smplayer | ||
| 2 | # Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2 | ||
| 3 | # $Header: $ | ||
| 4 | |||
| 5 | *smplayer-9999 (09 Nov 2009) | ||
| 6 | |||
| 7 | 09 Nov 2009; Ben de Groot <yngwin@gentoo.org> | ||
| 8 | +files/smplayer-0.6.8-quit.patch, +smplayer-9999.ebuild, +metadata.xml: | ||
| 9 | Initial import. Ebuild from berkano overlay brought up to date with latest | ||
| 10 | portage changes. |
|   | |||
| 1 | AUX smplayer-0.6.8-quit.patch 559 RMD160 57a13ce73bf1bc42ff84afa93740b2b91979c68a SHA1 cd6747917b8a8a71d46b8841d7924c4e304bb636 SHA256 52bd82633b4561613675121ae10af12ef25a11b7343eea043a3a70dd32aa999a | ||
| 2 | EBUILD smplayer-9999.ebuild 2594 RMD160 ce97c7aa486bd5551ffe306d8dc02bea894a2854 SHA1 3c86eaa0c143a30f45d1579168d80d665b4373f4 SHA256 1837a869be1d58ae09a474bc2df9de7fa21b1efbb8728941a993a217a722dc9a | ||
| 3 | MISC ChangeLog 370 RMD160 c983f7278617866924fd2af3dd20005548a8a7af SHA1 7755b3f2ca43cec1782efe92b391a4712896b8cb SHA256 4502e7f3d609c307d66e919d08494488bb4b8d9f614edc936dd9fdc001ad6059 | ||
| 4 | MISC metadata.xml 248 RMD160 3dd3ed866d9de9b9e1e757a75ad74cd04a179a0a SHA1 ee402648473a449107fdc483b2452b655887f15c SHA256 319bbc38f5d834b6230f477c4330ff29d94c9447f563551c977e5c3b038aecaf |
|   | |||
| 1 | --- smplayer-0.6.8/src/baseguiplus.cpp 2009-08-13 16:07:04.000000000 +0300 | ||
| 2 | +++ smplayer-0.6.8/src/baseguiplus.cpp 2009-08-13 16:08:22.000000000 +0300 | ||
| 3 | @@ -67,8 +67,7 @@ | ||
| 4 | tray->setToolTip( "SMPlayer" ); | ||
| 5 | connect( tray, SIGNAL(activated(QSystemTrayIcon::ActivationReason)), | ||
| 6 | this, SLOT(trayIconActivated(QSystemTrayIcon::ActivationReason))); | ||
| 7 | - | ||
| 8 | - quitAct = new MyAction(this, "quit"); | ||
| 9 | + quitAct = new MyAction(QKeySequence("Ctrl+Q"), this, "quit"); | ||
| 10 | connect( quitAct, SIGNAL(triggered()), this, SLOT(quit()) ); | ||
| 11 | openMenu->addAction(quitAct); |
|   | |||
| 1 | <?xml version="1.0" encoding="UTF-8"?> | ||
| 2 | <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd"> | ||
| 3 | <pkgmetadata> | ||
| 4 | <herd>video</herd> | ||
| 5 | <maintainer> | ||
| 6 | <email>yngwin@gentoo.org</email> | ||
| 7 | <name>Ben de Groot</name> | ||
| 8 | </maintainer> | ||
| 9 | </pkgmetadata> |
|   | |||
| 1 | # Copyright 1999-2009 Gentoo Foundation | ||
| 2 | # Distributed under the terms of the GNU General Public License v2 | ||
| 3 | # $Header: $ | ||
| 4 | |||
| 5 | EAPI="2" | ||
| 6 | inherit eutils qt4 subversion | ||
| 7 | |||
| 8 | DESCRIPTION="Great Qt4 GUI front-end for mplayer" | ||
| 9 | HOMEPAGE="http://smplayer.sourceforge.net" | ||
| 10 | ESVN_REPO_URI="https://smplayer.svn.sourceforge.net/svnroot/smplayer/smplayer/trunk" | ||
| 11 | |||
| 12 | LICENSE="GPL-2" | ||
| 13 | SLOT="0" | ||
| 14 | KEYWORDS="" | ||
| 15 | IUSE="debug" | ||
| 16 | |||
| 17 | DEPEND="x11-libs/qt-gui:4" | ||
| 18 | RDEPEND="${DEPEND} | ||
| 19 | media-video/mplayer[ass,png]" | ||
| 20 | |||
| 21 | LANGS="bg ca cs de en_US es et eu fi fr gl hu it ja ka ko ku mk nl pl pt_BR | ||
| 22 | pt_PT sk sr sv tr zh_CN zh_TW" | ||
| 23 | # langs with long notation in pkg, but no long notation in portage: | ||
| 24 | NOLONGLANGS="ar_SY el_GR ro_RO ru_RU sl_SI uk_UA vi_VN" | ||
| 25 | for X in ${LANGS}; do | ||
| 26 | IUSE="${IUSE} linguas_${X}" | ||
| 27 | done | ||
| 28 | for X in ${NOLONGLANGS}; do | ||
| 29 | IUSE="${IUSE} linguas_${X%_*}" | ||
| 30 | done | ||
| 31 | |||
| 32 | src_prepare() { | ||
| 33 | # For Version Branding | ||
| 34 | cd "${ESVN_STORE_DIR}/${ESVN_CO_DIR}/${ESVN_PROJECT}/${ESVN_REPO_URI##*/}" | ||
| 35 | ./get_svn_revision.sh | ||
| 36 | mv src/svn_revision.h "${S}"/src/ | ||
| 37 | mv svn_revision "${S}"/ | ||
| 38 | cd "${S}" | ||
| 39 | |||
| 40 | # Force Ctrl+Q as default quit shortcut | ||
| 41 | epatch "${FILESDIR}/${P}-quit.patch" | ||
| 42 | |||
| 43 | # Upstream Makefile sucks | ||
| 44 | sed -i -e "/^PREFIX=/s:/usr/local:/usr:" \ | ||
| 45 | -e "/^DOC_PATH=/s:packages/smplayer:${PF}:" \ | ||
| 46 | -e '/\.\/get_svn_revision\.sh/,+2c\ | ||
| 47 | cd src && $(DEFS) $(MAKE)' \ | ||
| 48 | "${S}"/Makefile || die "sed failed" | ||
| 49 | |||
| 50 | # Turn debug message flooding off | ||
| 51 | if ! use debug ; then | ||
| 52 | sed -i 's:#\(DEFINES += NO_DEBUG_ON_CONSOLE\):\1:' \ | ||
| 53 | "${S}"/src/smplayer.pro || die "sed failed" | ||
| 54 | fi | ||
| 55 | } | ||
| 56 | |||
| 57 | src_configure() { | ||
| 58 | cd "${S}"/src | ||
| 59 | eqmake4 | ||
| 60 | } | ||
| 61 | |||
| 62 | gen_translation() { | ||
| 63 | ebegin "Generating $1 translation" | ||
| 64 | lrelease ${PN}_${1}.ts | ||
| 65 | eend $? || die "failed to generate $1 translation" | ||
| 66 | } | ||
| 67 | |||
| 68 | src_compile() { | ||
| 69 | emake || die "emake failed" | ||
| 70 | |||
| 71 | # Generate translations | ||
| 72 | cd "${S}"/src/translations | ||
| 73 | local lang= nolangs= x= | ||
| 74 | for lang in ${LINGUAS}; do | ||
| 75 | if has ${lang} ${LANGS}; then | ||
| 76 | gen_translation ${lang} | ||
| 77 | continue | ||
| 78 | elif [[ " ${NOLONGLANGS} " == *" ${lang}_"* ]]; then | ||
| 79 | for x in ${NOLONGLANGS}; do | ||
| 80 | if [[ "${lang}" == "${x%_*}" ]]; then | ||
| 81 | gen_translation ${x} | ||
| 82 | continue 2 | ||
| 83 | fi | ||
| 84 | done | ||
| 85 | fi | ||
| 86 | nolangs="${nolangs} ${lang}" | ||
| 87 | done | ||
| 88 | [[ -n ${nolangs} ]] && ewarn "Sorry, but ${PN} does not support the LINGUAS:" ${nolangs} | ||
| 89 | # install fails when no translation is present (bug 244370) | ||
| 90 | [[ -z $(ls *.qm 2>/dev/null) ]] && gen_translation en_US | ||
| 91 | } | ||
| 92 | |||
| 93 | src_install() { | ||
| 94 | # remove unneeded copies of GPL | ||
| 95 | rm -f Copying.txt docs/{cs,en,ja,ru}/gpl.html | ||
| 96 | rm -rf docs/{de,es,nl,ro} | ||
| 97 | |||
| 98 | # remove windows-only files | ||
| 99 | rm "${S}"/*.bat | ||
| 100 | |||
| 101 | emake DESTDIR="${D}" install || die "emake install failed" | ||
| 102 | prepalldocs | ||
| 103 | } |

